'use client';

import { createRoot } from 'react-dom';
import { MetaMaskProvider } from '@metamask/sdk-react';

function MyApp({ Component, pageProps }) {
    const root = createRoot(document.getElementById('root'));

    return root.createBatch(() => (
        <React.StrictMode>
            <MetaMaskProvider debug={false} sdkOptions={{
                dappMetadata: {
                    name: "Example React Dapp",
                    url: window.location.href,
                }
            }}>
                <Component {...pageProps} />
            </MetaMaskProvider>
        </React.StrictMode>
    ));
}

export default MyApp;
