"use client";

import React, { useState } from 'react';
import { useSDK } from '@metamask/sdk-react';
import { Button, Typography, Box } from '@mui/material';
import Web3 from 'web3';
import { useRouter } from 'next/navigation';

const MetaMaskLogin = () => {
    const [account, setAccount] = useState();
    const { sdk, connected, connecting, provider, chainId } = useSDK();
    const router = useRouter();

    const connectToMetaMask2 = async () => {
        try {
            const accounts = await sdk?.connect();
            setAccount(accounts?.[0]);
            console.log('Connected with MetaMask. User address:', accounts[0]);

        } catch (err) {
            console.warn(`failed to connect..`, err);
        }
    };

    const connectToMetaMask = async () => {
        if (window.ethereum) {
            try {
                await window.ethereum.request({method: 'eth_requestAccounts'});
                const web3 = new Web3(window.ethereum);
                const accounts = await web3.eth.getAccounts();
                console.log('Connected with MetaMask. User address:', accounts[0]);
                router.push('/wallet-info');
            } catch (error) {
                console.error('Error connecting with MetaMask:', error);
            }
        } else {
            console.error('MetaMask not found. Please install MetaMask.');
        }
    };

    return (
        <Box>
            <Button
                fullWidth
                variant="contained"
                color="primary"
                style={{ padding: 10, margin: 10 }}
                onClick={connectToMetaMask}
            >
                Se connecter avec MetaMask
            </Button>
        </Box>
    );
};

export default MetaMaskLogin;
