"use client";

import React from 'react';
import { AppBar, Toolbar, Typography, Button } from '@mui/material';
import { useRouter } from 'next/navigation';

const NavBar = () => {
    const router = useRouter();

    const goToAuctionList = () => {
        router.push('/auction-list');
    };

    const goToCreateAuction = () => {
        router.push('/create-auction');
    };

    const goToWalletInfo = () => {
        router.push('/wallet-info');
    };

    const goToCloseAuction = () => {
        router.push('/close-auction');
    };

    return (
        <AppBar position="static">
            <Toolbar>
                <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
                    Mon Application
                </Typography>
                <Button color="inherit" onClick={goToWalletInfo}>Accueil</Button>
                <Button color="inherit" onClick={goToAuctionList}>Auction List</Button>
                <Button color="inherit" onClick={goToCreateAuction}>Create Auction</Button>
                <Button color="inherit" onClick={goToCloseAuction}>Versement des fonds</Button>
            </Toolbar>
        </AppBar>
    );
};

export default NavBar;
