"use client";

import MetaMaskLogin from './components/MetaMaskLogin';
import {Typography, Container} from '@mui/material';
import {useEffect} from "react";
import { useRouter } from 'next/navigation';

import { checkConnectionMetaMask,  contract } from './utils';

const Home = () => {
    const router = useRouter();

    useEffect(() => {
        const fetchItemsAvailable = async () => {
            const accounts = await checkConnectionMetaMask();
            if (accounts.length !== 0) {
                router.push('/wallet-info');
            }
        };

        fetchItemsAvailable();
    }, []);
    return (
        <Container
            sx={{
                display: 'flex',
                flexDirection: 'column',
                alignItems: 'center',
                justifyContent: 'center',
                height: '80vh',
                flex: 1
            }}
            component="main"
            maxWidth="sm"
        >
            <Typography component="h1" variant="h4" gutterBottom>
                Bienvenue sur votre Application d'Enchères Décentralisée (dApp)!
            </Typography>

            <Typography variant="body1" paragraph>
                Cette application vous permet de participer à des enchères décentralisées et de gérer votre profil en
                utilisant MetaMask.
            </Typography>

            <MetaMaskLogin/>

        </Container>
    );
};

export default Home;
